netCDF vector can not be loaded from browser panel
Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Data Provider/OGR

Affected QGIS version:2.18.11 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24899

Description

If you have a netcdf vector file, it gets identified in the QGIS browser as raster, hence can not be loaded.

Loading with "Add Vector Layer" works, but only with the filetype filter set to "All files". There is no entry for netCDF in the dropdown list.

BTW netCDF vector is only supported from GDAL 2.1 onwards.

Associated revisions

Revision 0ba03e59 - 2017-11-10 09:16 PM - Even Rouault

[GDAL/OGR providers] Improve list of extensions, remove duplicates, support netCDF vector (fixes #17000)

- Read GDAL 2.0 GDAL_DMD_EXTENSIONS metadata item to retrieve a list of extensions

- Remove 'duplicated' drivers from list (such as KML/LIBKML, DGN/DGNv8)

- Support netCDF as a vector format (in addition to raster)

- For OGR formats, dynamically build list for unknown drivers ('static' list kept for now)

Revision a65f072b - 2017-11-10 09:57 PM - Even Rouault 

Merge pull request #5598 from rouault/gdal_ogr_extensions

[GDAL/OGR providers] Improve list of extensions, remove duplicates, support netCDF vector (fixes #17000)

History

#1 - 2017-11-09 07:36 PM - Even Rouault

- Assignee set to Even Rouault

#2 - 2017-11-10 09:57 PM - Even Rouault

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|0ba03e59ee12e70d2ce1c90ede89d9b8c7cddebc.
